Serverless Cluster を作成 (V1)
ノート
serverless cluster を作成します。
POST/v1/clusters/createServerless
https://controller.api.${CLOUD_REGION}.zillizcloud.com
📘ノート
${CLOUD_REGION}を、デプロイに適したリージョンに置き換える必要があります。- クラウドリージョンIDを取得するには、Zilliz Cloudコンソールまたはクラウドリージョンの一覧を参照してください。
shell
export CLOUD_REGION="gcp-us-west1"
export BASE_URL="https://controller.api.${CLOUD_REGION}.zillizcloud.com"
パラメータ
Authorizationstringheader必要
認証トークンには、適切な権限を持つ API key を使用する必要があります。
値の例: Bearer {{TOKEN}}
リクエスト・ボディapplication/json
planstring必要
作成する cluster のサブスクリプションプラン。
clusterNamestring必要
作成する cluster の名前。32 文字以内の文字列です。
projectIdstring必要
cluster を作成する project の ID。
値の例: proj-xxxxxxxxxxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v1/clusters/createServerless" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"plan": "Free",
"clusterName": "free_01",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxx"
}'
レスポンス200 OK - application/json
成功
作成された serverless cluster の情報を返します。
codeinteger
レスポンスコード。
dataobject
作成された serverless cluster の情報を含むオブジェクトのレスポンスペイロード。
clusterIdstring
この操作の対象となる cluster の ID。
usernamestring
デフォルトで生成される cluster user の名前。
passwordstring
デフォルトで生成される cluster user のパスワード。再表示されないため、控えて安全に保管してください。
promptstring
この操作が成功したことを示す文言。
エラーメッセージを返します。
codeinteger
レスポンスコード。
messagestring
エラーメッセージ。
Successjson
{
"code": 200,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"username": "db_xxxxxxxxxxxxxxx",
"password": "xxxxxxxxxxxxxxxxx",
"prompt": "successfully submitted, cluster is being created. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK with the admin account and the initial password you specified."
}
}